[@rxap/ngx-material-authentication](../wiki/globals) / RequestResetPasswordMethod

# Class: RequestResetPasswordMethod

Defined in: [login/request-reset-password.method.ts:9](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/material/authentication/src/lib/login/request-reset-password.method.ts#L9)

## Implements

- `Method`

## Constructors

### new RequestResetPasswordMethod()

> **new RequestResetPasswordMethod**(): [`RequestResetPasswordMethod`](../wiki/Class.RequestResetPasswordMethod)

#### Returns

[`RequestResetPasswordMethod`](../wiki/Class.RequestResetPasswordMethod)

## Methods

### call()

> **call**(`parameters`): `any`

Defined in: [login/request-reset-password.method.ts:11](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/material/authentication/src/lib/login/request-reset-password.method.ts#L11)

#### Parameters

##### parameters

[`RequestResetPasswordMethodParameters`](../wiki/Interface.RequestResetPasswordMethodParameters)

#### Returns

`any`

#### Implementation of

`Method.call`
